
From: Andrew Morton <akpm@osdl.org>

Trying to work out why my ia64 box hangs when starting init.  This seems
sensible to do.

Cc: Prasanna S Panchamukhi <prasanna@in.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-generic/vmlinux.lds.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/asm-generic/vmlinux.lds.h~kprobes-prevent-possible-race-conditions-generic-fixes include/asm-generic/vmlinux.lds.h
--- 25/include/asm-generic/vmlinux.lds.h~kprobes-prevent-possible-race-conditions-generic-fixes	Fri Jul 15 15:15:25 2005
+++ 25-akpm/include/asm-generic/vmlinux.lds.h	Fri Jul 15 15:15:25 2005
@@ -99,6 +99,7 @@
 		VMLINUX_SYMBOL(__lock_text_end) = .;
 
 #define KPROBES_TEXT							\
-		VMLINUX_SYMBOL(__kprobes_text_start) = .;			\
+		ALIGN_FUNCTION();					\
+		VMLINUX_SYMBOL(__kprobes_text_start) = .;		\
 		*(.kprobes.text)					\
 		VMLINUX_SYMBOL(__kprobes_text_end) = .;
_
